when:
  event: [push, pull_request, manual]
  branch: [dev, stage, main]

labels:
  platform: arm64

steps:
  - name: unit-tests
    image: mcr.microsoft.com/dotnet/sdk:10.0
    commands:
      - dotnet restore SatelliteProvider.sln
      - dotnet test SatelliteProvider.Tests/SatelliteProvider.Tests.csproj --no-restore --configuration Release --logger "console;verbosity=normal" --logger "trx;LogFileName=test-results.trx" --results-directory /app/test-results
